%define upstream_name    CGI-Echo
%define upstream_version 1.08

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	CGI-Echo module for perl 
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tgz

BuildArch:	noarch

%description
This module accepts form data, cleans it, and echos it.
It is designed for a HTML/CGI student enviroment. It lets, indeed encourages,
students to design forms and gives their long-suffering instructors a simple
way to provide a CGI script which accepts the form data, and just echos it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%makeinstall_std

%files
%doc CHANGES README META.yml
%{perl_vendorlib}/CGI/Echo.pm
%{_mandir}/*/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.80.0-8.mga6
+ Revision: 1023438
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.80.0-7.mga6
+ Revision: 937484
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.80.0-6.mga6
+ Revision: 937047
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-5.mga5
+ Revision: 739100
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 683640
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.80.0-3.mga4
+ Revision: 509369
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 363529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 9751
- imported package perl-CGI-Echo


* Tue Aug 24 2010 Jérôme Quelin <jquelin@mandriva.org> 1.80.0-1mdv2011.0
+ Revision: 572699
- update to 1.08

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2011.0
+ Revision: 395000
- update to 1.05
- using %%perl_convert_version
- fixed license field

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.04-5mdv2009.0
+ Revision: 255715
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-3mdv2008.1
+ Revision: 136903
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.04-2mdv2007.0
+ Revision: 73358
- import perl-CGI-Echo-1.04-2mdk

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.04-2mdk
- Fix SPEC Using perl Policies
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.04-1mdk
- initial Mandriva package

